Package Details: flashplugin-beta 25-1

Git Clone URL: https://aur.archlinux.org/flashplugin-beta.git (read-only)
Package Base: flashplugin-beta
Description: Adobe Flash Player Beta
Upstream URL: http://labs.adobe.com/downloads/flashplayer.html
Keywords: adobe beta flash flashplayer
Licenses: custom
Conflicts: flashplugin
Provides: flashplayer, flashplugin
Submitter: yan12125
Maintainer: mesmer
Last Packager: mesmer
Votes: 29
Popularity: 0.043950
First Submitted: 2016-09-07 19:29
Last Updated: 2017-05-04 05:20

Required by (13)

Sources (3)

Latest Comments

james commented on 2017-05-05 14:32

They changed again....
md5sums=('f34aae6279b40e0bd2abfb0d9963d7b8')
md5sums_i686=('e0ab55b67d60a7cc672669bfc3b64b39')
md5sums_x86_64=('ff0c1e5c17fded757f5e5bff1acd65ac')

mesmer commented on 2017-05-05 05:35

1 sec after i push updates The files changes, i will verify The Suns and will put The correct ones

Pietro_Pizzi commented on 2017-05-04 22:25

For me it is:
ff0c1e5c17fded757f5e5bff1acd65ac flash_player_npapi_linux_25_x86_64.tar.gz

instead of:
md5sums_x86_64=('3bd2be455bf510e634847ecc63bb8168')

mesmer commented on 2017-05-04 05:20

checksum updated

james commented on 2017-05-02 23:23

checcksums still failing.
New checksums:
md5sums=('f34aae6279b40e0bd2abfb0d9963d7b8')
md5sums_i686=('8a8f8e34d757842ffde47a5ef2ea87dc')
md5sums_x86_64=('3bd2be455bf510e634847ecc63bb8168')

mesmer commented on 2017-04-07 12:05

Sorry about that, they chance The file AnD The sum fail, i'll update

hussam commented on 2017-04-07 09:30

You can type updpkgsums. it retrieves the files in the source array and automatically updates the checksum array.

arti74 commented on 2017-04-07 09:22

Validity check failed again 1,5 months later.
For me works this (64bit): '622577ace52ff19236edaaa5227caf97'

gucong commented on 2017-02-27 21:21

Validity check failed.

mesmer commented on 2017-02-03 15:32

Yep, i`ll push update tonight

tombenko commented on 2017-02-03 15:31

Still updating?

mesmer commented on 2017-01-10 14:50

I'm adopting this package , tonight i'll update this

grigruss commented on 2016-12-31 08:28

The solution for
ERROR: Source files don't pass the integrity check!

As a user, run:
git clone https://aur.archlinux.org/flashplugin-beta.git

Then go to the package directory and run:
makepkg -g >md5sums.txt

Then copy the lines from the file md5sums.txt and replace the md5sums line in the PKBUILD file.
Then run makepkg.
That's all

ScriptorTux commented on 2016-12-16 14:57

I'm sorry, but I am getting failed to verify integrity

yan12125 commented on 2016-12-13 13:25

Today 24.0.0.186 is released. However, it's not beta but a stable release, so please don't flag this package as out-of-date. As this one is no longer necessary for me (I'll turned to extra/flashplugin), I'll drop it and anyone who is interested can adopt it.

For future maintainers: I have a checker script for the beta channel at https://github.com/yan12125/aur/blob/656f07e/check_all.py#L129-L143.

yan12125 commented on 2016-10-30 12:37

@aur-wdsm Thanks!

wdsm commented on 2016-10-30 11:28

@yan12125

for the build on 32-bit you should add
if [ "$CARCH" = x86_64 ]; then
rm -r usr/lib/
mv usr/{lib64,lib}
fi
to your PKGBUILD

hussam commented on 2016-10-30 06:02

Kakashi-sensei, try closing firefox completely then deleting the pluginreg.dat file in your firefox profile.
It should be ~/.mozilla/firefox/your_profile_name/pluginreg.dat

Kakashi-sensei commented on 2016-10-30 03:31

The plugin version is still "23.0 d0" in Firefox. Is that normal?

yan12125 commented on 2016-10-29 12:54

Thanks for that link! The most strange thing is that in beta 24, kcm_adobe_flash_player.so links to libkdeui.so.5 and libkdecore.so.5, which seems from kdelibs 5.x. I guess foutrelis knows more but has not found a perfect solution.

hussam commented on 2016-10-29 12:40

I had filed a similar bug for removing KDE4 related files in
https://bugs.archlinux.org/task/49443
But the Arch Linux marked it as a General Gripe without replying.
I guess the internet is a terrible platform for communication.

yan12125 commented on 2016-10-29 11:48

Updated to beta 24. In this version, KDE integration libraries are back. However, those files target KDE 4. As KDE 4 has been dropped from official repositories [1], I can't test it, so I remove them to prevent further confusion. If anyone knows how Flash works with KDE Plasma 5, please tell me.

[1] https://www.archlinux.org/news/dropping-plasma-4/

yan12125 commented on 2016-10-10 05:26

@cteneyck

From Adobe's beta note: [1]

Because this change is primarily a security initiative, some features (like GPU 3D acceleration and premium video DRM) will not be fully implemented

I'm not sure about HAL. You may want to ask Adobe whether it's implemented or not.

[1] http://fpdownload.macromedia.com/pub/labs/flashruntimes/shared/air23_flashplayer23_releasenotes.pdf

cteneyck commented on 2016-10-10 00:57

Not working with HAL-Flash and DRM content.

yan12125 commented on 2016-09-25 18:55

Unflag it as 23.0.0.181 is the latest version and checksums are correct on my machine. @oboedad55, could you check whether there's any cached files in `$SRCDEST`?

yan12125 commented on 2016-09-25 06:12

Please click "Flag package out-of-date" if checksum fails, thanks.

HotblackDesiato commented on 2016-09-25 01:24

md5 checksums still fail to validate.

yan12125 commented on 2016-09-22 11:32

Thanks updated.

kah0922 commented on 2016-09-22 07:09

md5 checksums failed to validate.

yan12125 commented on 2016-09-16 12:21

@blackout Thanks updated. Is there an official announcement board for latest beta versions? I'd like to write a version checking script and run it with cron.

blackout commented on 2016-09-15 18:03

please update md5 sums